Create payin
curl --request POST \
--url https://api.business.bumxpress.com/payins \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--data '
{
"quote_id": "33333333-3333-3333-3333-333333333333",
"customer_id": "22222222-2222-2222-2222-222222222222",
"source": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO"
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"country_code": "CM",
"rail_type": "mobile_money",
"operator_code": "<string>",
"provider_reference": "<string>",
"wallet_impact": {},
"pricing": {},
"history": [
{
"status": "<string>",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "created",
"source": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Payins
Create payin
Create a quote-backed payin.
POST
https://api.business.bumxpress.com
/
payins
Create payin
curl --request POST \
--url https://api.business.bumxpress.com/payins \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--data '
{
"quote_id": "33333333-3333-3333-3333-333333333333",
"customer_id": "22222222-2222-2222-2222-222222222222",
"source": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO"
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"country_code": "CM",
"rail_type": "mobile_money",
"operator_code": "<string>",
"provider_reference": "<string>",
"wallet_impact": {},
"pricing": {},
"history": [
{
"status": "<string>",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "created",
"source": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}The API returns a pending resource while provider processing continues asynchronously.
Authorizations
Public API key from the merchant dashboard.
Secret shown once when the API key is created.
Headers
Unique key for this business intent. Reuse only when retrying the same request body.
Body
application/json
Response
Payin created.
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Required string length:
2Example:
"CM"
Available options:
mobile_money, bank_transfer Show child attributes
Show child attributes
Available options:
created, pending, completed, failed Show child attributes
Show child attributes
Last modified on July 8, 2026